package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SgfambKcSggy;

/**
 * 施工方案模板管理—开次-施工概要Service接口
 * 
 * @author ruoyi
 * @date 2025-09-23
 */
public interface ISgfambKcSggyService 
{
    /**
     * 查询施工方案模板管理—开次-施工概要
     * 
     * @param id 施工方案模板管理—开次-施工概要主键
     * @return 施工方案模板管理—开次-施工概要
     */
    public SgfambKcSggy selectSgfambKcSggyById(Long id);

    /**
     * 查询施工方案模板管理—开次-施工概要列表
     * 
     * @param sgfambKcSggy 施工方案模板管理—开次-施工概要
     * @return 施工方案模板管理—开次-施工概要集合
     */
    public List<SgfambKcSggy> selectSgfambKcSggyList(SgfambKcSggy sgfambKcSggy);

    /**
     * 新增施工方案模板管理—开次-施工概要
     * 
     * @param sgfambKcSggy 施工方案模板管理—开次-施工概要
     * @return 结果
     */
    public int insertSgfambKcSggy(SgfambKcSggy sgfambKcSggy);

    /**
     * 修改施工方案模板管理—开次-施工概要
     * 
     * @param sgfambKcSggy 施工方案模板管理—开次-施工概要
     * @return 结果
     */
    public int updateSgfambKcSggy(SgfambKcSggy sgfambKcSggy);

    /**
     * 批量删除施工方案模板管理—开次-施工概要
     * 
     * @param ids 需要删除的施工方案模板管理—开次-施工概要主键集合
     * @return 结果
     */
    public int deleteSgfambKcSggyByIds(Long[] ids);

    /**
     * 删除施工方案模板管理—开次-施工概要信息
     * 
     * @param id 施工方案模板管理—开次-施工概要主键
     * @return 结果
     */
    public int deleteSgfambKcSggyById(Long id);

    List<SgfambKcSggy> selectSgfambKcSggyListByQk(SgfambKcSggy sgfambKcSggy);

}
